# vim: set ft=spec: -*- rpm-spec -*-

%define plugname shoulda

Name: rails-plugin-shoulda
Version: 2.10.2
Release: alt1

Summary: Making tests easy on the fingers and eyes
License: MIT
Group: Development/Ruby
Url: http://thoughtbot.com/projects/shoulda

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %plugname-%version.tar
Patch: %plugname-%version-%release.patch

PreReq: ruby-railties >= 2.1.0-alt2

# Automatically added by buildreq on Mon Oct 19 2009 (-bi)
BuildRequires: rpm-build-ruby ruby-activerecord-sqlite3-adapter ruby-mocha ruby-racc-runtime ruby-rails ruby-tool-setup

%description
Shoulda makes it easy to write elegant, understandable, and maintainable
tests. Shoulda consists of test macros, assertions, and helpers added on
to the Test::Unit framework. It's fully compatible with your existing
tests, and requires no retooling to use.

%prep
%setup -q -n %plugname-%version
%patch -p1
%update_setup_rb
cp %_datadir/rails/environments/boot.rb test/rails_root/config/boot.rb

%build
%ruby_config
%ruby_build
%ruby_test_unit -Ilib:test -p '^.*_test\.rb' test/{unit,functional,other,matchers}

%install
mkdir -p %buildroot%_datadir/rails/plugins/%plugname
%ruby_install
cp -vrp init.rb rails tasks %buildroot%_datadir/rails/plugins/%plugname/

%files
%doc README.rdoc
%ruby_sitelibdir/*
%_datadir/rails/plugins/%plugname

%changelog
* Mon Oct 19 2009 Alexey I. Froloff <raorn@altlinux.org> 2.10.2-alt1
- Built for Sisyphus

